Extending Qt Creator Manual | GccParser

Extending Qt Creator Manual 4.3.0

# GccParser Class

(ProjectExplorer::GccParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| GccParser()

- 9 public functions inherited from ProjectExplorer::IOutputParser

## Protected Functions

void | amendDescription(const QString &desc, bool monospaced)
void | newTask(const Task &task)

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### GccParser::GccParser()

Default constructs an instance of GccParser.

### `[protected]` void GccParser::amendDescription(const QString &desc, bool monospaced)

### `[protected]` void GccParser::newTask(const Task &task)